curl --request POST \
--url https://sandbox-api.va.meridianpay.com/v1/beneficiaries/{beneficiaryId}/instruments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "BLOCKCHAIN_WALLET",
"displayName": "Nimbus settlement wallet (USDT)",
"walletAddress": "0x9f8B4a71Cc0Ed2b3F6a9E7c1D5b8A2f4E6c04C21",
"currency": "USDT_ETH",
"idempotencyKey": "e5f6a7b8-5555-6666-7777-88889999aaaa"
}
'{
"id": "uspay-wi9t4cyl9vwuqwudw2ld97bq",
"status": "ACTIVE",
"displayName": "Nimbus settlement wallet (USDT)",
"currency": "USDT_ETH",
"mask": "4c21",
"createdAt": "2026-09-09T20:39:37Z",
"updatedAt": "2026-09-09T20:39:37Z",
"wallet": {
"address": "0x9f****4c21"
},
"availableRails": [
"ETHEREUM"
],
"type": "BLOCKCHAIN_WALLET"
}Beneficiaries
Add an Instrument to a Beneficiary
Attaches an additional payout instrument to an existing beneficiary for the authenticated Meridian account. A bank account (BANK_ACCOUNT) or a stablecoin wallet address (BLOCKCHAIN_WALLET). One wallet address may be registered once per supported currency, each as its own instrument.
POST
/
v1
/
beneficiaries
/
{beneficiaryId}
/
instruments
curl --request POST \
--url https://sandbox-api.va.meridianpay.com/v1/beneficiaries/{beneficiaryId}/instruments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "BLOCKCHAIN_WALLET",
"displayName": "Nimbus settlement wallet (USDT)",
"walletAddress": "0x9f8B4a71Cc0Ed2b3F6a9E7c1D5b8A2f4E6c04C21",
"currency": "USDT_ETH",
"idempotencyKey": "e5f6a7b8-5555-6666-7777-88889999aaaa"
}
'{
"id": "uspay-wi9t4cyl9vwuqwudw2ld97bq",
"status": "ACTIVE",
"displayName": "Nimbus settlement wallet (USDT)",
"currency": "USDT_ETH",
"mask": "4c21",
"createdAt": "2026-09-09T20:39:37Z",
"updatedAt": "2026-09-09T20:39:37Z",
"wallet": {
"address": "0x9f****4c21"
},
"availableRails": [
"ETHEREUM"
],
"type": "BLOCKCHAIN_WALLET"
}Authorizations
meridian-account-jwtpartner-api-key
Bearer token authentication, for client-server calls.
Send the access token issued by POST /v1/auth/token as Authorization: Bearer {token}. The token carries its own program and user context, so the X-Meridian-* headers are not required. See Authentication.
Headers
Path Parameters
Body
application/json
Instrument to attach
- Bank Account Instrument Request
- Wallet Instrument Request
Bank account instrument to create for a beneficiary
Response
The newly created beneficiary instrument
- Bank Account Instrument Response
- Wallet Instrument Response
A beneficiary bank account instrument